%define wayland_ver 1.4.0
%global apiver 3
%global libname      %mklibname weston  %{libapiver}
%global libdevel %mklibname -d weston

Summary:	The Weston Wayland Compositor
Name:		weston
Version:	3.0.0
Release:	%mkrel 1
Source0:	http://wayland.freedesktop.org/releases/%{name}-%{version}.tar.xz
License:	MIT
Group:		Graphics/Utilities
Url:		http://wayland.freedesktop.org/
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	pkgconfig(cairo-xcb)
BuildRequires:	pkgconfig(colord) >= 0.1.27
BuildRequires:	pkgconfig(dbus-1) >= 1.6
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gbm) >= 10.2
BuildRequires:	pkgconfig(glesv2)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libdrm) >= 2.4.30
BuildRequires:	pkgconfig(libinput) >= 0.8.0
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libsystemd)  >= 209
BuildRequires:	pkgconfig(libudev) >= 136
BuildRequires:	pkgconfig(libunwind)
BuildRequires:	pkgconfig(libva) >= 0.34.0
BuildRequires:	pkgconfig(libva-drm) >= 0.34.0
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6
BuildRequires:	pkgconfig(mtdev) >= 1.1.0
BuildRequires:	pkgconfig(pangocairo)
BuildRequires:	pkgconfig(pixman-1) >= 0.25.2
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(wayland-client) >= 1.12.0
BuildRequires:	pkgconfig(wayland-cursor)
BuildRequires:	pkgconfig(wayland-egl)
BuildRequires:	pkgconfig(wayland-protocols) >= 1.7
BuildRequires:	pkgconfig(wayland-scanner)
BuildRequires:	pkgconfig(wayland-server)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(x11-xcb)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-composite)
BuildRequires:	pkgconfig(xcb-shm)
BuildRequires:	pkgconfig(xcb-xfixes)
BuildRequires:	pkgconfig(xcb-xkb)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(freerdp2) >= 2.0.0

%description
Weston is the reference implementation of a Wayland compositor, and a
useful compositor in its own right. Weston has various backends that
lets it run on Linux kernel modesetting and evdev input as well as
under X11.
There is also a quite capable terminal emulator (weston-terminal) and
an toy/example desktop shell. Finally, Weston also provides
integration with the Xorg server and can pull X clients into the
Wayland desktop and act as a X window manager.

%package        libs
Summary:        Weston compositor libraries

%description    libs
This package contains Weston compositor libraries.
 
%package -n %libdevel
Summary: Common headers for weston
License: MIT
%description -n %libdevel
Common headers for weston

%prep
%autosetup -p1

%build
%configure2_5x \
  --disable-silent-rules \
  --disable-static \
  --disable-setuid-install \
  --enable-xwayland \
  --enable-rdp-compositor
%make_build

%install
%make_install

find %{buildroot} -name \*.la -delete

for d in $(find clients/ -type f -not -name Makefile -and -not -name '*.*' -and -not -name '%{name}-*'); do
    install -m755 $d %{buildroot}%{_bindir}/%{name}-$(basename $d)
done

%files
%{_bindir}/%{name}
%{_bindir}/wcap-decode
%attr(4755,root,root) %{_bindir}/%{name}-launch
%{_bindir}/%{name}-info
%{_bindir}/%{name}-terminal
%{_libexecdir}/%{name}-*
%dir %{_libdir}/%{name}*/
%{_libdir}/%{name}/*.so
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.svg
%{_mandir}/man*/*
%{_datadir}/wayland-sessions/weston.desktop

%files libs
%license COPYING
%dir %{_libdir}/libweston-%{apiver}
%{_libdir}/libweston-%{apiver}/drm-backend.so
%{_libdir}/libweston-%{apiver}/fbdev-backend.so
%{_libdir}/libweston-%{apiver}/gl-renderer.so
%{_libdir}/libweston-%{apiver}/headless-backend.so
%{_libdir}/libweston-%{apiver}/rdp-backend.so
%{_libdir}/libweston-%{apiver}/wayland-backend.so
%{_libdir}/libweston-%{apiver}/x11-backend.so
%{_libdir}/libweston-%{apiver}/xwayland.so
%{_libdir}/libweston-%{apiver}.so.0*
%{_libdir}/libweston-desktop-%{apiver}.so.0*

%files -n %libdevel
%{_includedir}/libweston-%{apiver}/
%{_includedir}/weston/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libweston-%{apiver}.so
%{_libdir}/libweston-desktop-%{apiver}.so


%changelog
* Tue Feb 06 2018 neoclust <neoclust> 3.0.0-1.mga6
+ Revision: 1199208
- New version 3.0.0

* Tue Jun 07 2016 tv <tv> 1.11.0-2.mga6
+ Revision: 1020636
- adjust BRs for latest systemd

* Wed Jun 01 2016 tv <tv> 1.11.0-1.mga6
+ Revision: 1019669
- 1.11.0

* Wed May 25 2016 tv <tv> 1.10.93-1.mga6
+ Revision: 1018248
- 1.11 RC1

* Wed May 18 2016 tv <tv> 1.10.91-1.mga6
+ Revision: 1016711
- new release

* Wed May 18 2016 tv <tv> 1.10.0-1.mga6
+ Revision: 1016702
- new release

* Wed Mar 16 2016 tv <tv> 1.9.92-1.mga6
+ Revision: 992172
- drop merged patches
- new release

* Wed Jan 20 2016 ovitters <ovitters> 1.9.91-1.mga6
+ Revision: 926155
- new version 1.9.91

* Sat Jan 02 2016 luigiwalser <luigiwalser> 1.9.0-2.mga6
+ Revision: 918207
- rebuild for libwebp

* Thu Sep 24 2015 tv <tv> 1.9.0-1.mga6
+ Revision: 883293
- new release

* Thu Jun 25 2015 tv <tv> 1.8.0-2.mga6
+ Revision: 843533
- adjust file list
- rebuild for new libinput

  + ovitters <ovitters>
    - new version 1.8.0

* Wed Oct 15 2014 umeabot <umeabot> 1.6.0-2.mga5
+ Revision: 741368
- Second Mageia 5 Mass Rebuild

* Fri Sep 19 2014 tv <tv> 1.6.0-1.mga5
+ Revision: 697373
- new release

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Fri Sep 12 2014 tv <tv> 1.5.93-1.mga5
+ Revision: 674833
- 1.6 RC2

* Sat Sep 06 2014 tv <tv> 1.5.92-1.mga5
+ Revision: 672560
- 1.6 RC1

* Tue Sep 02 2014 ovitters <ovitters> 1.5.91-1.mga5
+ Revision: 670895
- new version 1.5.91

* Fri Jun 06 2014 tv <tv> 1.5.0-1.mga5
+ Revision: 633893
- new release

* Sat Feb 15 2014 luigiwalser <luigiwalser> 1.4.0-2.mga5
+ Revision: 592112
- rebuild for libwebp

  + neoclust <neoclust>
    - New version 1.4.0

* Fri Nov 15 2013 tv <tv> 1.3.1-1.mga5
+ Revision: 551447
- new release

* Mon Oct 21 2013 umeabot <umeabot> 1.3.0-2.mga4
+ Revision: 541069
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 tv <tv> 1.3.0-1.mga4
+ Revision: 495049
- adjust file list

* Sat Sep 14 2013 wally <wally> 1.2.2-2.mga4
+ Revision: 478957
- rebuild for new colord

* Fri Aug 30 2013 tv <tv> 1.2.2-1.mga4
+ Revision: 473437
- adjust file list
- new release

* Sat Aug 17 2013 fwang <fwang> 1.2.0-2.mga4
+ Revision: 467155
- update file list
- xcb-xkb does not exist now
- cleanup br

* Sat Aug 17 2013 fwang <fwang> 1.2.0-1.mga4
+ Revision: 467145
- update file list

  + tv <tv>
    - new release

* Mon Jun 10 2013 tv <tv> 1.1.1-1.mga4
+ Revision: 441777
- adjust file list
- adjust file list
- BR latest libunwind-devel
- new release

* Tue Jun 04 2013 fwang <fwang> 1.0.3-4.mga4
+ Revision: 436933
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 1.0.3-3.mga3
+ Revision: 385683
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Wed Jan 02 2013 pterjan <pterjan> 1.0.3-2.mga3
+ Revision: 337495
- Fix for _libdir != _libexecdir

* Thu Dec 20 2012 kamil <kamil> 1.0.3-1.mga3
+ Revision: 333261
- update %%files
- new version 1.0.3, update Source0

* Tue Oct 23 2012 blino <blino> 1.0.0-1.mga3
+ Revision: 309359
- 1.0.0

* Wed Oct 17 2012 fwang <fwang> 0.99.0-1.mga3
+ Revision: 307714
- update file list

  + blino <blino>
    - use Graphics/Other group
    - 0.99.0

* Tue Aug 07 2012 blino <blino> 0.95.0-3.mga3
+ Revision: 279829
- fix package group

* Wed Jul 25 2012 blino <blino> 0.95.0-2.mga3
+ Revision: 274379
- update descriptions
- package demo clients in weston-demos

* Tue Jul 24 2012 blino <blino> 0.95.0-1.mga3
+ Revision: 274124
- buildrequire xcursor devel
- do not package wcap-snapshot (dropped upstream)
- 0.95.0

* Tue Jul 24 2012 blino <blino> 0.94.90-2.mga3
+ Revision: 273981
- weston-launch should be setuid root instead of weston
- buildrequire poppler-glib-devel instead
- buildrequire poppler-devel

* Tue Jul 24 2012 blino <blino> 0.94.90-1.mga3
+ Revision: 273906
- buildrequire libvpx-devel
- buildrequire systemd-devel
- buildrequire pam-devel
- package new files (wcap-*, weston-launch, screensaver, screenshoter)
- buildrequire mtdev devel
- require newer xkbcommon
- 0.94.90
- drop xkbcommon include patch cherry-pick

* Sun Jul 01 2012 colin <colin> 0.85.0-2.mga3
+ Revision: 265943
- Add missing BuildRequire on mesaglu-devel
- Rebuild for new libudev major

* Mon Mar 05 2012 blino <blino> 0.85.0-1.mga2
+ Revision: 218311
- buildrequire jpeg-devel
- buildrequire cairo devel
- buildrequire pixman and png devel packages
- initial release
- Created package structure for weston.

